%define oname sexypsf
%define name xmms-%oname
%define version 0.4.8
%define release %mkrel 2
%define distsuffix plf

Summary: Playstation Sound File player plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://projects.raphnet.net/#sexypsf
Source0: http://projects.raphnet.net/sexypsf/%{oname}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: zlib-devel
Requires: xmms

%description
This is sexypsf, based off of pcsx and peops. It can play songs in the PSF
format ripped from Playstation games.

This package is in PLF, as Mandriva doesn't allow console emulators.
%prep
%setup -q -n %oname-%version

%build
%ifarch ppc
make OPTIMIZE="%optflags" CPU=ppc
%else
make OPTIMIZE="%optflags"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/xmms/Input
cp libsexypsf.so %buildroot/%_libdir/xmms/Input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Docs/*
%_libdir/xmms/Input/libsexypsf.so

%changelog
* Wed Jan 23 2008 Gtz Waschk <goetz@zarb.org> 0.4.8-2plf2008.1
- fix plf reason

* Sun Jun 25 2006 Gtz Waschk <goetz@zarb.org> 0.4.8-1plf2007.0
- drop patches
- fix buildrequires
- New release 0.4.8

* Tue Sep 20 2005 trem <trem@zarb.org> 0.4.7-2plf
- add distsuffix

* Mon Sep 19 2005 Gtz Waschk <goetz@zarb.org> 0.4.7-1plf
- patches for gcc4 and amd64
- drop patch
- mkrel
- fix URL
- new version

* Thu Sep 16 2004 Gtz Waschk <goetz@zarb.org> 0.4.6-1plf
- update description
- patch to fix build
- new URL
- New release 0.4.6

* Wed Feb 18 2004 Gtz Waschk <goetz@plf.zarb.org> 0.4.4-1plf
- new version

* Sun Sep 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.3-1plf
- new version

* Sat Sep 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.2-1plf
- fix ppc build
- fix buildrequires
- drop patch
- new version

* Fri Sep 19 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.1-1plf
- new version

* Wed Sep 17 2003 Gtz Waschk <goetz@plf.zarb.org> 0.4.0-1plf
- drop patch 1
- buildrequires
- new version

* Fri Jun 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.3.0-2plf
- gcc 3.3 patch

* Thu May 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.3.0-1plf
- new version

* Wed Apr 30 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.6-1plf
- initial package

